% make some histograms and stats from color_data
% Run after RGB_Swarm_Data_Grabber.m
% Sam Bobb, Summer 2009

red = color_data(1,:);
green = color_data(2,:);
blue = color_data(3,:);

samples = length(color_data);

redavg = sum(color_data(1,1:samples))/samples;
greenavg = sum(color_data(2,1:samples))/samples;
blueavg = sum(color_data(3,1:samples))/samples;
fprintf( 'R avg: %4.2f Std: %4.2f \n', redavg, std(color_data(1,1:samples)) )
fprintf( 'G avg: %4.2f Std: %4.2f \n', greenavg, std(color_data(2,1:samples)) )
fprintf( 'B avg: %4.2f Std: %4.2f \n', blueavg, std(color_data(3,1:samples)) )
fprintf( 'Data set includes %g points \n', samples)


subplot(2,2,1)
hist(red, min(red):1:max(red))
title('red')

subplot(2,2,2)
hist(green, min(green):1:max(green))
title('green')


subplot(2,2,3)
hist(blue, min(blue):1:max(blue))
title('blue')

